com.h3c.util.pkt

## Enum IpType

- java.lang.Object
- - java.lang.Enum<IpType>
  - - com.h3c.util.pkt.IpType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<IpType>

      public enum IpType
      extends Enum<IpType>
      implements ProtocolEnum

  IPv4 and IPv6 protocol types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACT_NET` Active Networks.
    `ANY_0_HOP` Any 0-hop protocol.
    `ANY_DIST_FILE_SYS` Any distributed file system.
    `ANY_HOST_INTERN` Any host internal protocol.
    `ANY_LOCAL_NET` Any local network.
    `ANY_PRIV_ENCRYP` Any private encryption scheme.
    `ARGUS` ARGUS.
    `ARIS` IBM's ARIS (Aggregate Route IP Switching) Protocol.
    `AUTH_HDR` Authentication header (used as an IPv6 extension option).
    `AX_25` AX.25.
    `BBN_RCC_MON` BBN RCC Monitoring.
    `BNA` BNA.
    `BR_SAT_MON` Back room SATNET Monitoring.
    `CBT` Core-based trees.
    `CFTP` CFTP.
    `CHAOS` Chaos.
    `COMPAQ_PEER` Compaq Peer Protocol.
    `CP_3RD` Third Party Connect Protocol.
    `CPHB` Computer Protocol Heart Beat.
    `CPNX` Computer Protocol Network Executive.
    `CRTP` Combat Radio Transport Protocol.
    `CRUDP` Combat Radio User Datagram.
    `DCCP` Datagram Congestion Control Protocol.
    `DCN_MEAS` DCN Measurement Subsystems.
    `DDP` Datagram Delivery Protocol.
    `DDX` D-II Data Exchange (DDX).
    `DGP` Dissimilar Gateway Protocol.
    `EGP` Exterior Gateway Protocol.
    `EIGRP` EIGRP.
    `EMCON` EMCON.
    `ENCAP_HDR` Encapsulation Header.
    `ESP` Encapsulating security payload (used as an Ipv6 extension option).
    `ETHER_IP` Ethernet-within-IP Encapsulation.
    `FC` Fiber Channel.
    `FIRE` FIRE.
    `GGP` Gateway-to-Gateway Protocol.
    `GMTP` GMTP.
    `GRE` Generic Routing Encapsulation.
    `HIP` Host Identity Protocol.
    `HMP` Host Monitoring Protocol.
    `I_NLSP` Integrated Net Layer Security Protocol.
    `IATP` Interactive Agent Transfer Protocol.
    `ICMP` Internet Control Message Protocol.
    `IDPR` Inter-Domain Policy Routing Protocol.
    `IDPR_CMTP` IDPR Control Message Transport Protocol.
    `IDRP` Inter-Domain Routing Protocol.
    `IFMP` Ipsilon Flow Management Protocol.
    `IGMP` Internet Group Management Protocol.
    `IGP` Interior Gateway Protocol (any private interior gateway).
    `IL` IL Transport Protocol.
    `IP_COMP` IP Payload Compression Protocol.
    `IPCV` Internet Packet Core Utility.
    `IPIP` IP-within-IP Encapsulation Protocol.
    `IPLT` IPLT.
    `IPPC` Internet Pluribus Packet Core.
    `IPTM` Internet Protocol Traffic Manager.
    `IPV4_ENCAP` IPv4(encapsulation).
    `IPV6_DST_OPTS` IPv6 Destination extension option.
    `IPV6_ENCAP` IPv6 6in4 (encapsulation).
    `IPV6_FRAG` IPv6 Fragment header extension option.
    `IPV6_HOPOPT` IPv6 Hop-by-Hop extension header option.
    `IPV6_ICMP` ICMP for IPv6.
    `IPV6_NO_NEXT_HDR` IPv6 No next header option.
    `IPV6_ROUTING` IPv6 Routing header extension option.
    `IPX_IN_IP` IPX in IP.
    `IRTP` Internet Reliable Transaction Protocol.
    `IS_OVER_IPV4` IS over IPv4.
    `ISO_IP` International Organization for Standardization Internet Protocol.
    `ISO_TP4` ISO Transport Protocol Class 4.
    `KRYPTOLAN` Kryptolan.
    `L2TP` Layer Two Tunneling Protocol Version 3.
    `LARP` Locus Address Resolution Protocol.
    `LEAF_1` Leaf-1.
    `LEAF_2` Leaf-2.
    `MANET` MANET Protocols.
    `MERIT_INP` MERIT InterNodal Protocol.
    `MFE_NSP` MFE Network Services Protocol.
    `MHRP` Mobile Host Routing Protocol.
    `MICP` Mobile Inter-networking Control Protocol.
    `MOBILE` IP Mobility.
    `MOBILITY_HDR` Mobility Header.
    `MPLS_IN_IP` MPLS-in-IP.
    `MTP` Multicast Transport Protocol.
    `MUX` Multiplexing.
    `NARP` NBMA Address Resolution Protocol.
    `NETBLT` Bulk Data Transfer Protocol.
    `NSFNET_IGP` NSFNET-IGP.
    `NVP_II` Network Voice Protocol.
    `OSPF` Open Shortest Path First.
    `PGM` PGM Reliable Transport Protocol.
    `PIM` Protocol Independent Multicast.
    `PIPE` Private IP Encapsulation within IP.
    `PNNI` PNNI over IP.
    `PRM` Packet Radio Measurement.
    `PTP` Performance Transparency Protocol.
    `PUP` Xerox PUP.
    `PVP` Packet Video Protocol.
    `QNX` QNX.
    `RDP` Reliable Datagram Protocol.
    `RESERVED` Reserved type.
    `RSVP` Resource Reservation Protocol.
    `RSVP_E2E_IGNORE` RSVP-E2E-IGNORE.
    `RVD` MIT Remote Virtual Disk Protocol.
    `SAT_EXPAK` SATNET and Back room EXPAK.
    `SAT_MON` SATNET Monitoring.
    `SCC_SP` Semaphore Communications SP.
    `SCPS` SCPS (Space Communications Protocol Standards).
    `SCTP` Stream Control Transmission Protocol.
    `SDRP` Source Demand Routing Protocol.
    `SECURE_VMTP` Secure Versatile Message Transaction Protocol.
    `SHIM_V6` Site Multihoming by IPv6 Intermediation.
    `SKIP` Simple Key-Management for Internet Protocol.
    `SM` SM.
    `SMP` Simple Message Protocol.
    `SNP` Sitara Networks Protocol.
    `SPRITE_RPC` Sprite RPC Protocol.
    `SPS` Secure Packet Shield.
    `SRP` SpectraLink Radio Protocol.
    `SSCOPMCE` SSCOPMCE.
    `ST` Internet Stream Protocol.
    `STP` Schedule Transfer Protocol.
    `SUN_ND` SUN ND PROTOCOL-Temporary.
    `SWIPE` SwIPe.
    `TCF` TCF.
    `TCP` Transmission Control Protocol.
    `TLSP` Transport Layer Security Protocol.
    `TP_PLUS_PLUS` TP++ Transport Protocol.
    `TRUNK_1` Trunk-1.
    `TRUNK_2` Trunk-2.
    `TTP` TTP.
    `UDP` User Datagram Protocol.
    `UDP_LITE` UDP Lite.
    `UTI` UTI.
    `VINES` VINES.
    `VISA` VISA Protocol.
    `VMTP` Versatile Message Transaction Protocol.
    `VRRP` Virtual Router Redundancy Protocol.
    `WB_EXPAK` WIDEBAND EXPAK.
    `WB_MON` WIDEBAND Monitoring.
    `WSN` Wang Span Network.
    `XNET` Cross Net Debugger.
    `XNS_IDP` XEROX NS IDP.
    `XTP` Xpress Transport Protocol.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static IpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPV6_HOPOPT

          public static final IpType IPV6_HOPOPT

      IPv6 Hop-by-Hop extension header option.

    - #### ICMP

          public static final IpType ICMP

      Internet Control Message Protocol.

    - #### IGMP

          public static final IpType IGMP

      Internet Group Management Protocol.

    - #### GGP

          public static final IpType GGP

      Gateway-to-Gateway Protocol.

    - #### IPV4_ENCAP

          public static final IpType IPV4_ENCAP

      IPv4(encapsulation).

    - #### ST

          public static final IpType ST

      Internet Stream Protocol.

    - #### TCP

          public static final IpType TCP

      Transmission Control Protocol.

    - #### CBT

          public static final IpType CBT

      Core-based trees.

    - #### EGP

          public static final IpType EGP

      Exterior Gateway Protocol.

    - #### IGP

          public static final IpType IGP

      Interior Gateway Protocol (any private interior gateway).

    - #### BBN_RCC_MON

          public static final IpType BBN_RCC_MON

      BBN RCC Monitoring.

    - #### NVP_II

          public static final IpType NVP_II

      Network Voice Protocol.

    - #### PUP

          public static final IpType PUP

      Xerox PUP.

    - #### ARGUS

          public static final IpType ARGUS

      ARGUS.

    - #### EMCON

          public static final IpType EMCON

      EMCON.

    - #### XNET

          public static final IpType XNET

      Cross Net Debugger.

    - #### CHAOS

          public static final IpType CHAOS

      Chaos.

    - #### UDP

          public static final IpType UDP

      User Datagram Protocol.

    - #### MUX

          public static final IpType MUX

      Multiplexing.

    - #### DCN_MEAS

          public static final IpType DCN_MEAS

      DCN Measurement Subsystems.

    - #### HMP

          public static final IpType HMP

      Host Monitoring Protocol.

    - #### PRM

          public static final IpType PRM

      Packet Radio Measurement.

    - #### XNS_IDP

          public static final IpType XNS_IDP

      XEROX NS IDP.

    - #### TRUNK_1

          public static final IpType TRUNK_1

      Trunk-1.

    - #### TRUNK_2

          public static final IpType TRUNK_2

      Trunk-2.

    - #### LEAF_1

          public static final IpType LEAF_1

      Leaf-1.

    - #### LEAF_2

          public static final IpType LEAF_2

      Leaf-2.

    - #### RDP

          public static final IpType RDP

      Reliable Datagram Protocol.

    - #### IRTP

          public static final IpType IRTP

      Internet Reliable Transaction Protocol.

    - #### ISO_TP4

          public static final IpType ISO_TP4

      ISO Transport Protocol Class 4.

    - #### NETBLT

          public static final IpType NETBLT

      Bulk Data Transfer Protocol.

    - #### MFE_NSP

          public static final IpType MFE_NSP

      MFE Network Services Protocol.

    - #### MERIT_INP

          public static final IpType MERIT_INP

      MERIT InterNodal Protocol.

    - #### DCCP

          public static final IpType DCCP

      Datagram Congestion Control Protocol.

    - #### CP_3RD

          public static final IpType CP_3RD

      Third Party Connect Protocol.

    - #### IDPR

          public static final IpType IDPR

      Inter-Domain Policy Routing Protocol.

    - #### XTP

          public static final IpType XTP

      Xpress Transport Protocol.

    - #### DDP

          public static final IpType DDP

      Datagram Delivery Protocol.

    - #### IDPR_CMTP

          public static final IpType IDPR_CMTP

      IDPR Control Message Transport Protocol.

    - #### TP_PLUS_PLUS

          public static final IpType TP_PLUS_PLUS

      TP++ Transport Protocol.

    - #### IL

          public static final IpType IL

      IL Transport Protocol.

    - #### IPV6_ENCAP

          public static final IpType IPV6_ENCAP

      IPv6 6in4 (encapsulation).

    - #### SDRP

          public static final IpType SDRP

      Source Demand Routing Protocol.

    - #### IPV6_ROUTING

          public static final IpType IPV6_ROUTING

      IPv6 Routing header extension option.

    - #### IPV6_FRAG

          public static final IpType IPV6_FRAG

      IPv6 Fragment header extension option.

    - #### IDRP

          public static final IpType IDRP

      Inter-Domain Routing Protocol.

    - #### RSVP

          public static final IpType RSVP

      Resource Reservation Protocol.

    - #### GRE

          public static final IpType GRE

      Generic Routing Encapsulation.

    - #### MHRP

          public static final IpType MHRP

      Mobile Host Routing Protocol.

    - #### BNA

          public static final IpType BNA

      BNA.

    - #### ESP

          public static final IpType ESP

      Encapsulating security payload (used as an Ipv6 extension option).

    - #### AUTH_HDR

          public static final IpType AUTH_HDR

      Authentication header (used as an IPv6 extension option).

    - #### I_NLSP

          public static final IpType I_NLSP

      Integrated Net Layer Security Protocol.

    - #### SWIPE

          public static final IpType SWIPE

      SwIPe.

    - #### NARP

          public static final IpType NARP

      NBMA Address Resolution Protocol.

    - #### MOBILE

          public static final IpType MOBILE

      IP Mobility.

    - #### TLSP

          public static final IpType TLSP

      Transport Layer Security Protocol.

    - #### SKIP

          public static final IpType SKIP

      Simple Key-Management for Internet Protocol.

    - #### IPV6_ICMP

          public static final IpType IPV6_ICMP

      ICMP for IPv6.

    - #### IPV6_NO_NEXT_HDR

          public static final IpType IPV6_NO_NEXT_HDR

      IPv6 No next header option.

    - #### IPV6_DST_OPTS

          public static final IpType IPV6_DST_OPTS

      IPv6 Destination extension option.

    - #### ANY_HOST_INTERN

          public static final IpType ANY_HOST_INTERN

      Any host internal protocol.

    - #### CFTP

          public static final IpType CFTP

      CFTP.

    - #### ANY_LOCAL_NET

          public static final IpType ANY_LOCAL_NET

      Any local network.

    - #### SAT_EXPAK

          public static final IpType SAT_EXPAK

      SATNET and Back room EXPAK.

    - #### KRYPTOLAN

          public static final IpType KRYPTOLAN

      Kryptolan.

    - #### RVD

          public static final IpType RVD

      MIT Remote Virtual Disk Protocol.

    - #### IPPC

          public static final IpType IPPC

      Internet Pluribus Packet Core.

    - #### ANY_DIST_FILE_SYS

          public static final IpType ANY_DIST_FILE_SYS

      Any distributed file system.

    - #### SAT_MON

          public static final IpType SAT_MON

      SATNET Monitoring.

    - #### VISA

          public static final IpType VISA

      VISA Protocol.

    - #### IPCV

          public static final IpType IPCV

      Internet Packet Core Utility.

    - #### CPNX

          public static final IpType CPNX

      Computer Protocol Network Executive.

    - #### CPHB

          public static final IpType CPHB

      Computer Protocol Heart Beat.

    - #### WSN

          public static final IpType WSN

      Wang Span Network.

    - #### PVP

          public static final IpType PVP

      Packet Video Protocol.

    - #### BR_SAT_MON

          public static final IpType BR_SAT_MON

      Back room SATNET Monitoring.

    - #### SUN_ND

          public static final IpType SUN_ND

      SUN ND PROTOCOL-Temporary.

    - #### WB_MON

          public static final IpType WB_MON

      WIDEBAND Monitoring.

    - #### WB_EXPAK

          public static final IpType WB_EXPAK

      WIDEBAND EXPAK.

    - #### ISO_IP

          public static final IpType ISO_IP

      International Organization for Standardization Internet Protocol.

    - #### VMTP

          public static final IpType VMTP

      Versatile Message Transaction Protocol.

    - #### SECURE_VMTP

          public static final IpType SECURE_VMTP

      Secure Versatile Message Transaction Protocol.

    - #### VINES

          public static final IpType VINES

      VINES.

    - #### TTP

          public static final IpType TTP

      TTP.

    - #### IPTM

          public static final IpType IPTM

      Internet Protocol Traffic Manager.

    - #### NSFNET_IGP

          public static final IpType NSFNET_IGP

      NSFNET-IGP.

    - #### DGP

          public static final IpType DGP

      Dissimilar Gateway Protocol.

    - #### TCF

          public static final IpType TCF

      TCF.

    - #### EIGRP

          public static final IpType EIGRP

      EIGRP.

    - #### OSPF

          public static final IpType OSPF

      Open Shortest Path First.

    - #### SPRITE_RPC

          public static final IpType SPRITE_RPC

      Sprite RPC Protocol.

    - #### LARP

          public static final IpType LARP

      Locus Address Resolution Protocol.

    - #### MTP

          public static final IpType MTP

      Multicast Transport Protocol.

    - #### AX_25

          public static final IpType AX_25

      AX.25.

    - #### IPIP

          public static final IpType IPIP

      IP-within-IP Encapsulation Protocol.

    - #### MICP

          public static final IpType MICP

      Mobile Inter-networking Control Protocol.

    - #### SCC_SP

          public static final IpType SCC_SP

      Semaphore Communications SP.

    - #### ETHER_IP

          public static final IpType ETHER_IP

      Ethernet-within-IP Encapsulation.

    - #### ENCAP_HDR

          public static final IpType ENCAP_HDR

      Encapsulation Header.

    - #### ANY_PRIV_ENCRYP

          public static final IpType ANY_PRIV_ENCRYP

      Any private encryption scheme.

    - #### GMTP

          public static final IpType GMTP

      GMTP.

    - #### IFMP

          public static final IpType IFMP

      Ipsilon Flow Management Protocol.

    - #### PNNI

          public static final IpType PNNI

      PNNI over IP.

    - #### PIM

          public static final IpType PIM

      Protocol Independent Multicast.

    - #### ARIS

          public static final IpType ARIS

      IBM's ARIS (Aggregate Route IP Switching) Protocol.

    - #### SCPS

          public static final IpType SCPS

      SCPS (Space Communications Protocol Standards).

    - #### QNX

          public static final IpType QNX

      QNX.

    - #### ACT_NET

          public static final IpType ACT_NET

      Active Networks.

    - #### IP_COMP

          public static final IpType IP_COMP

      IP Payload Compression Protocol.

    - #### SNP

          public static final IpType SNP

      Sitara Networks Protocol.

    - #### COMPAQ_PEER

          public static final IpType COMPAQ_PEER

      Compaq Peer Protocol.

    - #### IPX_IN_IP

          public static final IpType IPX_IN_IP

      IPX in IP.

    - #### VRRP

          public static final IpType VRRP

      Virtual Router Redundancy Protocol.

    - #### PGM

          public static final IpType PGM

      PGM Reliable Transport Protocol.

    - #### ANY_0_HOP

          public static final IpType ANY_0_HOP

      Any 0-hop protocol.

    - #### L2TP

          public static final IpType L2TP

      Layer Two Tunneling Protocol Version 3.

    - #### DDX

          public static final IpType DDX

      D-II Data Exchange (DDX).

    - #### IATP

          public static final IpType IATP

      Interactive Agent Transfer Protocol.

    - #### STP

          public static final IpType STP

      Schedule Transfer Protocol.

    - #### SRP

          public static final IpType SRP

      SpectraLink Radio Protocol.

    - #### UTI

          public static final IpType UTI

      UTI.

    - #### SMP

          public static final IpType SMP

      Simple Message Protocol.

    - #### SM

          public static final IpType SM

      SM.

    - #### PTP

          public static final IpType PTP

      Performance Transparency Protocol.

    - #### IS_OVER_IPV4

          public static final IpType IS_OVER_IPV4

      IS over IPv4.

    - #### FIRE

          public static final IpType FIRE

      FIRE.

    - #### CRTP

          public static final IpType CRTP

      Combat Radio Transport Protocol.

    - #### CRUDP

          public static final IpType CRUDP

      Combat Radio User Datagram.

    - #### SSCOPMCE

          public static final IpType SSCOPMCE

      SSCOPMCE.

    - #### IPLT

          public static final IpType IPLT

      IPLT.

    - #### SPS

          public static final IpType SPS

      Secure Packet Shield.

    - #### PIPE

          public static final IpType PIPE

      Private IP Encapsulation within IP.

    - #### SCTP

          public static final IpType SCTP

      Stream Control Transmission Protocol.

    - #### FC

          public static final IpType FC

      Fiber Channel.

    - #### RSVP_E2E_IGNORE

          public static final IpType RSVP_E2E_IGNORE

      RSVP-E2E-IGNORE.

    - #### MOBILITY_HDR

          public static final IpType MOBILITY_HDR

      Mobility Header.

    - #### UDP_LITE

          public static final IpType UDP_LITE

      UDP Lite.

    - #### MPLS_IN_IP

          public static final IpType MPLS_IN_IP

      MPLS-in-IP.

    - #### MANET

          public static final IpType MANET

      MANET Protocols.

    - #### HIP

          public static final IpType HIP

      Host Identity Protocol.

    - #### SHIM_V6

          public static final IpType SHIM_V6

      Site Multihoming by IPv6 Intermediation.

    - #### RESERVED

          public static final IpType RESERVED

      Reserved type.

  - ### Method Detail

    - #### values

          public static IpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IpType c : IpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.